### Function

# GLib test_run_suite

since: 2.16

#### Declaration [src]

    int
    g_test_run_suite (
      GTestSuite* suite
    )

#### Description [src]

Executes the tests within `suite` and all nested test suites.

The test suites to be executed are filtered according to test path arguments (`-p testpath` and `-s testpath`) as parsed by `g_test_init()`. See the `g_test_run()` documentation for more information on the order that tests are run in.

`g_test_run_suite()` or `g_test_run()` may only be called once in a program.

Available since: 2.16

#### Parameters

`suite`

  Type: `GTestSuite`

  A test suite.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

0 on success.